> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aviatrix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# The tagging settings

> GET /v2.5/api/globalvpc/tagging_settings



## OpenAPI

````yaml /openapi/9.0/aviatrix-api.json get /v2.5/api/globalvpc/tagging_settings
openapi: 3.1.0
info:
  title: Aviatrix Controller API
  version: '9.0'
  description: >-
    Aviatrix Controller API — version 9.0. Selected operations with Mintlify
    metadata.
servers: []
security: []
tags:
  - name: policies
    x-group: Policies
  - name: authentication
    x-group: Authentication
  - name: account-management
    x-group: Account Management
  - name: rbac
    x-group: RBAC & Permissions
  - name: gateways
    x-group: Gateways
  - name: transit
    x-group: Transit
  - name: nat
    x-group: NAT
  - name: app-domains
    x-group: SmartGroups
  - name: certificates
    x-group: Certificates
  - name: mitm
    x-group: MITM
  - name: monitoring
    x-group: Monitoring & Diagnostics
  - name: fqdn
    x-group: FQDN
  - name: logging
    x-group: Logging
  - name: vpn
    x-group: UserVPN
  - name: site-to-cloud
    x-group: Site-to-Cloud
  - name: controller
    x-group: Controller
  - name: bgp
    x-group: BGP
  - name: general
    x-group: General
  - name: firenet
    x-group: FireNet
  - name: networking
    x-group: Networking
  - name: tgw
    x-group: AWS TGW
  - name: ips
    x-group: IPS
  - name: saml
    x-group: SAML
paths:
  /v2.5/api/globalvpc/tagging_settings:
    get:
      tags:
        - networking
      summary: Get the tagging settings
      operationId: global_vpc_get_tagging_settings
      parameters:
        - name: Authorization
          in: header
          required: true
          description: 'Controller ID in the format: cid <CID>.'
          schema:
            type: string
            example: cid <CID>
            default: cid <CID>
          example: cid <CID>
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTaggingSettings'
          description: Retrieved the tagging setting successfully
        default:
          $ref: '#/components/responses/general_response_v25'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -sk -X GET
            "https://<controller>/v2.5/api/globalvpc/tagging_settings" \
              -H "Authorization: cid <CID>"
        - lang: python
          label: Python
          source: |-
            import requests

            url = "https://<controller>/v2.5/api/globalvpc/tagging_settings"
            headers = {"Authorization": "cid <CID>"}

            response = requests.get(url, headers=headers)
            print(response.text)
        - lang: go
          label: Go
          source: |-
            package main

            import (
              "fmt"
              "net/http"
            )

            func main() {
              req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/globalvpc/tagging_settings", nil)
              req.Header.Set("Authorization", "cid <CID>")

              client := &http.Client{}
              resp, err := client.Do(req)
              if err != nil {
                panic(err)
              }
              defer resp.Body.Close()

              fmt.Println(resp.Status)
            }
components:
  schemas:
    GetTaggingSettings:
      example:
        reason: reason
        results:
          alert: false
          service_state: semi_automatic
          uid: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        return: true
      properties:
        reason:
          type: string
        results:
          $ref: '#/components/schemas/TaggingSettings'
        return:
          type: boolean
      type: object
    TaggingSettings:
      example:
        alert: false
        service_state: semi_automatic
        uid: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
      properties:
        alert:
          default: false
          type: boolean
        service_state:
          default: semi_automatic
          enum:
            - semi_automatic
            - automatic
            - disabled
          type: string
        uid:
          format: uuid
          type: string
      required:
        - alert
        - service_state
      type: object
    general_response_v25:
      description: A generic API response container for v2.5 style APIs.
      properties:
        message:
          description: A human-readable message.
          type: string
      title: General Response v2.5
      type: object
  responses:
    general_response_v25:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/general_response_v25'
      description: General v2.5 API response schema.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.